import { IUseLoaderProps } from '@reactionable/core/lib/ui/loader/useLoader';
import { IUIContextProviderProps as ICoreUIContextProviderProps } from '@reactionable/core/lib/ui/UI';
import React from 'react';
import { IUseErrorAlertProps } from './alert/ErrorAlert';
import { IUseWarningAlertProps } from './alert/WarningAlert';
import { IUseConfirmationProps } from './confirmation/Confirmation';
import { IUseFormProps } from './form/Form';
import { IUseLayoutProps } from './layout/Layout';
import { IUseModalProps } from './modal/Modal';
import { IUseModalFormProps } from './modal/ModalForm';
import { IUseErrorNotificationProps } from './notification/ErrorNotification';
import { IUseSuccessNotificationProps } from './notification/SuccessNotification';
export declare type IUIContextProviderProps = ICoreUIContextProviderProps<IUseLoaderProps, IUseSuccessNotificationProps, IUseErrorNotificationProps, IUseErrorAlertProps, IUseWarningAlertProps, IUseConfirmationProps, IUseLayoutProps, IUseFormProps, IUseModalProps, IUseModalFormProps>;
export declare function useUIContext(): import("@reactionable/core/lib/ui/UI").IUIContext<{
    isLoading?: boolean | undefined;
}, React.PropsWithChildren<import("@reactionable/core/lib/ui/notification/Notification").INotificationProps>, IUseErrorNotificationProps, IUseErrorAlertProps, IUseWarningAlertProps, React.PropsWithChildren<import("@reactionable/core/lib/ui/confirmation/Confirmation").IConfirmationProps>, React.PropsWithChildren<import("@reactionable/core/lib/ui/layout/Layout").ILayoutProps<import("@reactionable/core/lib/ui/layout/header/Header").IHeaderProps<import(".").INavItem, import("react-bootstrap/esm/Navbar").NavbarProps>, import(".").IBodyProps, import(".").IFooterProps>>, React.PropsWithChildren<import("./form/Form").IFormProps<any, any>>, React.PropsWithChildren<import("./modal/Modal").IModalProps>, IUseModalFormProps<any, any>>;
export declare function useUIContextProviderProps(): IUIContextProviderProps;
export declare const UIContextProvider: (props?: React.PropsWithChildren<Partial<React.PropsWithChildren<import("@reactionable/core/lib/ui/UI").IUIContext<{
    isLoading?: boolean | undefined;
}, React.PropsWithChildren<import("@reactionable/core/lib/ui/notification/Notification").INotificationProps>, IUseErrorNotificationProps, IUseErrorAlertProps, IUseWarningAlertProps, React.PropsWithChildren<import("@reactionable/core/lib/ui/confirmation/Confirmation").IConfirmationProps>, React.PropsWithChildren<import("@reactionable/core/lib/ui/layout/Layout").ILayoutProps<import("@reactionable/core/lib/ui/layout/header/Header").IHeaderProps<import(".").INavItem, import("react-bootstrap/esm/Navbar").NavbarProps>, import(".").IBodyProps, import(".").IFooterProps>>, React.PropsWithChildren<import("./form/Form").IFormProps<any, any>>, React.PropsWithChildren<import("./modal/Modal").IModalProps>, IUseModalFormProps<any, any>>>>> | undefined) => JSX.Element;
