import { PropsWithChildren } from 'react';
import { IFormProps } from '../../form/Form';
import { IModalFormProps, IUseModalFormProps } from '../../modal/ModalForm';
export interface ICreateProps<Values, Data> {
    modal?: Omit<IUseModalFormProps<IModalFormProps<Values, Data>>, 'form' | 'title'> | true;
    form: IFormProps<Values, Data>;
}
export declare function Create<Values, Data>(props: PropsWithChildren<ICreateProps<Values, Data>>): JSX.Element;
