import { IFooterProps as ICoreFooterProps } from '@reactionable/core/lib/ui/layout/footer/Footer';
import { HTMLAttributes, PropsWithChildren } from 'react';
export declare type IFooterProps = ICoreFooterProps & HTMLAttributes<HTMLElement> & {
    sponsor?: boolean;
};
export declare function Footer({ brand, sponsor, ...footerProps }: PropsWithChildren<IFooterProps>): JSX.Element;
