import { INavItemsContext, INavItemsProps } from '@reactionable/core/lib/nav/NavItem';
import React, { PropsWithChildren } from 'react';
import { INavItem } from '../../nav/NavItem';
export declare type ISidebarNavItem = INavItem;
export interface ISidebarProps extends INavItemsProps<ISidebarNavItem> {
}
export declare type ISidebarContext = INavItemsContext<ISidebarNavItem>;
export declare const SidebarContextProvider: ({ children, ...props }: React.PropsWithChildren<ISidebarProps>) => JSX.Element, useSidebarContext: () => INavItemsContext<INavItem>, SidebarContextConsumer: React.Consumer<INavItemsContext<INavItem>>;
export declare function Sidebar({ children }: PropsWithChildren<ISidebarProps>): JSX.Element;
export declare function setSidebarNavItems(navItems: Array<INavItem>): void;
