import { IModalProps as ICoreModalProps } from '@reactionable/core/lib/ui/modal/Modal';
import { FC, PropsWithChildren, ReactElement } from 'react';
import { ModalProps } from 'react-bootstrap/Modal';
export declare type IModalProps = ICoreModalProps & ModalProps & {
    body?: ReactElement;
    footer?: ReactElement;
};
export declare type ModalComponent = FC<IModalProps>;
export declare const Modal: ModalComponent;
export declare type IUseModalProps = PropsWithChildren<IModalProps>;
export declare function useModal(props: IUseModalProps): import("@reactionable/core/lib/ui/modal/Modal").IUseModalResult;
