import { FontAwesomeIconProps } from '@fortawesome/react-fontawesome';
import { IDeleteProps as ICoreDeleteProps } from '@reactionable/core/lib/crud/delete/Delete';
import { PropsWithChildren, ReactNode } from 'react';
export interface IDeleteProps<Data> extends ICoreDeleteProps<Data> {
    label?: ReactNode;
    icon?: FontAwesomeIconProps;
}
export declare function Delete<Data>({ label, icon, ...props }: PropsWithChildren<IDeleteProps<Data>>): JSX.Element;
