import { IFormProps as ICoreFormProps, IOnSubmitForm as ICoreOnSubmitForm } from '@reactionable/core/lib/form/Form';
import { PropsWithChildren } from 'react';
import { ButtonProps } from 'react-bootstrap/Button';
export declare type IFormProps<Values, Data> = ICoreFormProps<Values, Data>;
export declare type IOnSubmitForm<Values, Data> = ICoreOnSubmitForm<Values, Data>;
export declare type ISubmitButtonProps = ButtonProps;
export declare function SubmitButton({ children, ...props }: PropsWithChildren<ISubmitButtonProps>): JSX.Element;
export declare function Form<Values, Data>({ children, submitButton, ...props }: PropsWithChildren<IFormProps<Values, Data>>): JSX.Element;
export declare type IUseFormProps<Values = any, Data = any> = PropsWithChildren<IFormProps<Values, Data>>;
export declare function useForm<Values, Data>(props: IUseFormProps<Values, Data>): import("@reactionable/core/lib/form/Form").IUseFormResult;
