import { IError } from '@reactionable/core/lib/error/IError';
import { IErrorNotificationProps as ICoreErrorNotificationProps, IUseErrorNotificationProps as ICoreUseErrorNotificationProps } from '@reactionable/core/lib/ui/notification/ErrorNotification';
import { FC } from 'react';
export declare type IErrorNotificationProps = ICoreErrorNotificationProps & {
    children?: IError;
    title?: string;
};
export declare const ErrorNotification: FC<IErrorNotificationProps>;
export declare type IUseErrorNotificationProps = ICoreUseErrorNotificationProps & IErrorNotificationProps;
export declare const useErrorNotification: (props: IErrorNotificationProps) => import("@reactionable/core/lib/ui/notification/ErrorNotification").IUseErrorNotificationResult;
