import { IIdentityContextProviderProps } from '@reactionable/core/lib/identity/Identity';
import { ITestWrapperProps as ICoreTestWrapperProps } from '@reactionable/core/lib/tests/TestWrapper';
import { PropsWithChildren } from 'react';
import { IUIContextProviderProps } from '../UI';
export declare type ITestWrapperProps<ICP extends IIdentityContextProviderProps, UICP extends IUIContextProviderProps = IUIContextProviderProps> = ICoreTestWrapperProps<ICP, UICP>;
export declare function TestWrapper<ICP extends IIdentityContextProviderProps = IIdentityContextProviderProps, UICP extends IUIContextProviderProps = IUIContextProviderProps>(props: PropsWithChildren<ITestWrapperProps<ICP, UICP>>): JSX.Element;
